# 网格订单列表

`GET` `/v1/gridtrading/list`

分页获取网格订单列表，可按市场、标的或状态筛选。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `page` | integer | No | 页码，从 `1` 开始 |
| `limit` | integer | No | 每页数量 |
| `market` | string | No | 市场筛选 **可选值：** `US` / `HK` / `CN` / `SG` |
| `symbol` | string | No | 标的代码，使用 `ticker.region` 格式，例如：`700.HK` |
| `status` | string | No | 网格订单状态筛选，多个状态用逗号连接，例如：`Performing,Suspended` |
| `sort_by` | string | No | 排序字段 |
| `sort_order` | string | No | 排序方向 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/gridtrading/list' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `grid_order` | object[] | No | 网格订单 |
| `└ order_id` | string | Yes | 网格订单 ID |
| `└ symbol` | string | Yes | 标的代码，使用 `ticker.region` 格式，例如：`AAPL.US` |
| `└ stock_name` | string | Yes | 标的名称 |
| `└ market` | string | Yes | 市场 |
| `└ status` | string | Yes | 网格订单状态 |
| `└ grid_status` | string | Yes | 网格运行状态 |
| `└ submitted_base_price` | string | Yes | 网格锚定的提交基准价格 |
| `└ current_base_price` | string | Yes | 当前基准价格 |
| `└ pre_trigger_base_price` | string | Yes | 上次触发前的基准价格 |
| `└ post_trigger_base_price` | string | Yes | 上次触发后的基准价格 |
| `└ upper_limit_price` | string | Yes | 价格上限 |
| `└ lower_limit_price` | string | Yes | 价格下限 |
| `└ trigger_price_type` | int32 | Yes | 触发价格类型。**Enum Value:**, `1` - 价差，`2` - 百分比 |
| `└ trigger_spread_up` | string | Yes | 向上触发价差，`trigger_price_type` 为 `1` 时使用 |
| `└ trigger_spread_down` | string | Yes | 向下触发价差，`trigger_price_type` 为 `1` 时使用 |
| `└ trigger_percent_up` | string | Yes | 向上触发百分比，`trigger_price_type` 为 `2` 时使用 |
| `└ trigger_percent_down` | string | Yes | 向下触发百分比，`trigger_price_type` 为 `2` 时使用 |
| `└ pullback_percent` | string | Yes | 回调百分比 |
| `└ pullback_spread` | string | Yes | 回调价差 |
| `└ rebound_percent` | string | Yes | 反弹百分比 |
| `└ rebound_spread` | string | Yes | 反弹价差 |
| `└ trigger_sell_order_type` | string | Yes | 卖出方网格订单类型。**Enum Value:**, `GMO` - 网格市价单，`GLO` - 网格限价单，`GTG` - 网格触价单 |
| `└ trigger_buy_order_type` | string | Yes | 买入方网格订单类型。**Enum Value:**, `GMO` - 网格市价单，`GLO` - 网格限价单，`GTG` - 网格触价单 |
| `└ trigger_sell_depth` | int32 | Yes | 卖出方盘口深度，范围 `-5..5`；`0` 表示使用 `trigger_sell_order_type` |
| `└ trigger_buy_depth` | int32 | Yes | 买入方盘口深度，范围 `-5..5`；`0` 表示使用 `trigger_buy_order_type` |
| `└ trigger_quantity` | string | Yes | 每次触发数量 |
| `└ trigger_sell_quantity` | string | Yes | 卖出方触发数量 |
| `└ trigger_buy_quantity` | string | Yes | 买入方触发数量 |
| `└ upper_limit_quantity` | string | Yes | 触及上限时处理的数量 |
| `└ lower_limit_quantity` | string | Yes | 触及下限时处理的数量 |
| `└ upper_limit_event` | int32 | Yes | 触及上限时的处理事件。**Enum Value:**, `1` - 忽略（保持网格运行）, `2` - 以最新价平仓 |
| `└ lower_limit_event` | int32 | Yes | 触及下限时的处理事件。**Enum Value:**, `1` - 忽略（保持网格运行）, `2` - 以最新价平仓 |
| `└ multiple_trigger` | boolean | Yes | 单个网格档位是否可多次触发 |
| `└ trigger_times` | int32 | Yes | 网格已触发次数 |
| `└ total_buy_quantity` | string | Yes | 累计买入数量 |
| `└ total_sell_quantity` | string | Yes | 累计卖出数量 |
| `└ total_profit_balance` | string | Yes | 累计收益余额 |
| `└ settlement_currency` | string | Yes | 结算货币 |
| `└ time_in_force` | int32 | Yes | 订单有效期类型。**Enum Value:**, `0` - 当日有效，`1` - 撤单前有效，`6` - 指定日期前有效 |
| `└ gtd` | string | Yes | 指定日期前有效的到期日期，格式：`YYYY-MM-DD` |
| `└ created_at` | string | Yes | 创建时间，格式为 RFC3339 |
| `└ rth` | int32 | Yes | 盘中交易时段标识。**Enum Value:**, `0`, `1`, `2` |
| `└ support_shortsell` | boolean | Yes | 是否允许卖空 |
| `└ grid_order_type_up` | string | Yes | 深度为 `0` 时卖出方的订单类型。**Enum Value:**, `GMO` - 网格市价单，`GLO` - 网格限价单，`GTG` - 网格触价单 |
| `└ grid_order_type_down` | string | Yes | 深度为 `0` 时买入方的订单类型。**Enum Value:**, `GMO` - 网格市价单，`GLO` - 网格限价单，`GTG` - 网格触价单 |
| `has_more` | boolean | Yes | 是否还有更多页 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "grid_order": [
      {
        "order_id": "764609681686573056",
        "symbol": "700.HK",
        "stock_name": "TENCENT",
        "market": "HK",
        "status": "Performing",
        "grid_status": "Performing",
        "submitted_base_price": "300.000",
        "current_base_price": "300.000",
        "pre_trigger_base_price": "300.000",
        "post_trigger_base_price": "306.000",
        "upper_limit_price": "360.000",
        "lower_limit_price": "240.000",
        "trigger_price_type": 2,
        "trigger_spread_up": "",
        "trigger_spread_down": "",
        "trigger_percent_up": "2",
        "trigger_percent_down": "2",
        "pullback_percent": "",
        "pullback_spread": "",
        "rebound_percent": "",
        "rebound_spread": "",
        "trigger_sell_order_type": "GMO",
        "trigger_buy_order_type": "GMO",
        "trigger_sell_depth": 0,
        "trigger_buy_depth": 0,
        "trigger_quantity": "100",
        "trigger_sell_quantity": "100",
        "trigger_buy_quantity": "100",
        "upper_limit_quantity": "200",
        "lower_limit_quantity": "100",
        "upper_limit_event": 1,
        "lower_limit_event": 1,
        "multiple_trigger": false,
        "trigger_times": 3,
        "total_buy_quantity": "300",
        "total_sell_quantity": "200",
        "total_profit_balance": "1250.00",
        "settlement_currency": "HKD",
        "time_in_force": 1,
        "gtd": "",
        "created_at": "2025-01-15T09:30:00+08:00",
        "rth": 0,
        "support_shortsell": false,
        "grid_order_type_up": "GMO",
        "grid_order_type_down": "GMO"
      }
    ],
    "has_more": false
  }
}
```
